return require('packer').startup(function(use)
  use 'wbthomason/packer.nvim'

  use 'hrsh7th/nvim-cmp'
  use 'hrsh7th/cmp-path'
  use 'hrsh7th/cmp-buffer'

  use {
    'nvim-tree/nvim-tree.lua',
    cmd = { 'NvimTreeToggle', 'NvimTreeFocus' },
    config = function()
      require("nvim-tree").setup({
        filters = {
          dotfiles = false,
          git_clean = false
        },
        git = {
          ignore = false
        }
      })
    end
  }

  use 'nvim-treesitter/nvim-treesitter'
end)

